---
const { class: className, transparant } = Astro.props;
let cardStyling: string = "card w-full rounded-2xl px-14 pt-16 pb-12 flex flex-col shadow-xl inner-shadow border border-solid";
if (className) cardStyling += " " + className;
if (transparant) cardStyling += " backdrop-blur-md transparent";
---

<div class={cardStyling}>
  <slot />
</div>

<style>
  .card {
    background-color: var(--backgroundColor);
    background: linear-gradient(0deg, var(--backgroundColor) 0%, var(--backgroundColorAlternate) 100%);
    opacity: .97;
  }
  /* .transparent{
    background-color: alpha(var(--backgroundColor), 0.6);
  } */
</style>
